var $ = document.getElementById.bind(document);

function hodinaNaUhel(hodina) {
	//if(hodina == 0) hodina = 12;
	return (360 / 12) * hodina;
}
function msNaUhel(ms) {
	return (360 / 60) * ms;
}
function nastavRucicku(r, uhel) {
	$("r_" + r).style.transform = "rotate(" + uhel.toString() + "deg)";
	$("r_" + r).style.webkitTransform = "rotate(" + uhel.toString() + "deg)";
	$("r_" + r).style.msTransform = "rotate(" + uhel.toString() + "deg)";
}
function nastavCas(h, m, s) {
	nastavRucicku("hodinova", hodinaNaUhel(h));
	nastavRucicku("minutova", msNaUhel(m));
	nastavRucicku("vterinova", msNaUhel(s));
}

var start = new Date().getTime();
var runtime = 0;

function nah() {
	var kl = (Math.random() <= 0.5) ? -1 : 1;
	var n = Math.random();
	return kl * n;
}
function posunNahodneObrazovku() {
	document.body.style.top = (nah() * 5).toString() + "px";
	document.body.style.left = (nah() * 5).toString() + "px";
}
function zatrepejObrazovkou() {
	var n = 0;
	setTimeout(function() {
		posunNahodneObrazovku();
		if(++n < 25) setTimeout(arguments.callee, Math.random() * 100);
		else {
			document.body.style.top = "0";
			document.body.style.left = "0";
		}
	}, Math.random() * 100);
}
function update() {
	runtime += 1000;

	var currentTime = start + runtime;
	var currentDate = new Date(currentTime);
	if(currentDate.getSeconds() == 0) {
		zatrepejObrazovkou();
	}

	nastavCas(currentDate.getHours() % 12, currentDate.getMinutes(), currentDate.getSeconds());
}
window.setInterval(function() {
	update();
}, 1000);
update();

$("zNetu").onclick = function() {
	var xmlhttp;
	if(window.XMLHttpRequest) {
 		xmlhttp = new XMLHttpRequest();
 	} else {
  		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
  	}
	xmlhttp.onreadystatechange = function() {
  		if(xmlhttp.readyState != 4 || xmlhttp.status != 200) return;
    	var data = JSON.parse(xmlhttp.responseText);

    	start = data.milliseconds_since_epoch;
    	runtime = 0;
	}
	xmlhttp.open("GET", "http://time.jsontest.com/", true);
	xmlhttp.send();
}
$("zPolicek").onclick = function() {
	var cas = new Date();
	cas.setHours(parseInt($("vlH").value));
	cas.setMinutes(parseInt($("vlM").value));
	cas.setSeconds(parseInt($("vlS").value));

	start = cas.getTime();
	runtime = 0;
}

var els = document.getElementsByClassName("popisek");
for(var i = 0; i < els.length; i ++) {
	els[i].style.transform = "rotate(" + hodinaNaUhel(i + 1).toString() + "deg)";
	els[i].style.webkitTransform = "rotate(" + hodinaNaUhel(i + 1).toString() + "deg)";
	els[i].style.msTransform = "rotate(" + hodinaNaUhel(i + 1).toString() + "deg)";

	els[i].getElementsByTagName("div")[0].style.transform = "rotate(-" + hodinaNaUhel(i + 1).toString() + "deg)";
	els[i].getElementsByTagName("div")[0].style.webkitTransform = "rotate(-" + hodinaNaUhel(i + 1).toString() + "deg)";
	els[i].getElementsByTagName("div")[0].style.msTransform = "rotate(-" + hodinaNaUhel(i + 1).toString() + "deg)";
} 